namespace Brizco.Domain.CommandQueries.Commands;

public record CreateShiftPlanCommand(DateTime PlanDate,Guid ShiftId,List<Guid> UserIds)
    :IRequest<ShiftPlanLDto>;

public record UpdateShiftPlanCommand(Guid Id,DateTime PlanDate, Guid ShiftId, List<Guid> UserIds)
    : IRequest<bool>;

public record DeleteShiftPlanCommand(Guid Id)
    : IRequest<bool>;